node_ref.hpp File Reference
`#include <cstdint>`
`#include <cstdlib>`
`#include <iosfwd>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/types.hpp>`
Include dependency graph for node_ref.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::NodeRef
struct | osmium::location_equal
struct | osmium::location_less

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

constexpr bool | osmium::operator== (const NodeRef &lhs, const NodeRef &rhs) noexcept
constexpr bool | osmium::operator!= (const NodeRef &lhs, const NodeRef &rhs) noexcept
constexpr bool | osmium::operator< (const NodeRef &lhs, const NodeRef &rhs) noexcept
constexpr bool | osmium::operator> (const NodeRef &lhs, const NodeRef &rhs) noexcept
constexpr bool | osmium::operator<= (const NodeRef &lhs, const NodeRef &rhs) noexcept
constexpr bool | osmium::operator>= (const NodeRef &lhs, const NodeRef &rhs) noexcept
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, const osmium::NodeRef &nr)